# Uses of Class
org.eclipse.birt.report.model.api.SessionHandle

Packages that use SessionHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.impl

## Uses of SessionHandle in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return SessionHandle
Modifier and Type
Method
Description
`static SessionHandle`
DesignEngine.`newSession(com.ibm.icu.util.ULocale locale)`
Deprecated.
`SessionHandle`
DesignEngine.`newSessionHandle(com.ibm.icu.util.ULocale locale)`
Creates a new design session handle.
`SessionHandle`
IDesignEngine.`newSessionHandle(com.ibm.icu.util.ULocale locale)`
Creates a new design session handle.
Methods in org.eclipse.birt.report.model.api with parameters of type SessionHandle
Modifier and Type
Method
Description
`static int`
ModuleUtil.`checkModule(SessionHandle sessionHandle, String fileName, InputStream is)`
Checks the input stream with given file name.
`static boolean`
ModuleUtil.`isValidDesign(SessionHandle sessionHandle, String fileName, InputStream is)`
Justifies whether a given input stream is a valid report design.
`static boolean`
ModuleUtil.`isValidLibrary(SessionHandle sessionHandle, String fileName, InputStream is)`
Justifies whether a library resource with the given file name is a valid library.

## Uses of SessionHandle in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl that return SessionHandle
Modifier and Type
Method
Description
`SessionHandle`
DesignEngineImpl.`newSessionHandle(com.ibm.icu.util.ULocale locale)`
Creates a new design session handle.